# Rotate a token

Launch stage: GA

`POST /api/2.1/unity-catalog/recipients/{name}/rotate-token`

Refreshes the specified recipient's delta sharing authentication token with the provided token info.
 The caller must be the owner of the recipient.

API scopes: sharing

## Path parameters

- `name` (string, required)
  The name of the Recipient.

## Request body

- `existing_token_expire_in_seconds` (int64, required)
  The expiration time of the bearer token in ISO 8601 format. This will set the expiration_time
   of existing token only to a smaller timestamp, it cannot extend the expiration_time. Use 0 to
   expire the existing token immediately, negative number will return an error.

## Returns

Returns the RecipientInfo object.

## Response

```json
{
  "name": "string",
  "authentication_type": "TOKEN",
  "sharing_code": "string",
  "data_recipient_global_metastore_id": "string",
  "owner": "string",
  "comment": "string",
  "ip_access_list": {
    "allowed_ip_addresses": [
      "string"
    ]
  },
  "properties_kvpairs": {
    "properties": {}
  },
  "expiration_time": 0,
  "activation_url": "string",
  "activated": true,
  "created_at": 0,
  "created_by": "string",
  "tokens": [
    {
      "id": "string",
      "created_at": 0,
      "created_by": "string",
      "activation_url": "string",
      "expiration_time": 0,
      "updated_at": 0,
      "updated_by": "string"
    }
  ],
  "updated_at": 0,
  "updated_by": "string",
  "cloud": "string",
  "region": "string",
  "metastore_id": "string",
  "id": "string"
}
```

